> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapio.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Spotify album

> Fetch an album's detail and tracklist by id or url.



## OpenAPI

````yaml get /v1/spotify/album
openapi: 3.1.0
info:
  title: Scrapio
  version: 1.0.0
  description: >-
    Turn any URL into structured data. Fetch raw HTML, crawl sites, extract
    structured content, interact with dynamic pages, and search the web through
    one API.
  contact:
    name: Scrapio Support
    url: https://scrapio.dev
  license:
    name: Proprietary
servers:
  - url: https://api.scrapio.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Fetch
  - name: Crawl
  - name: Map
  - name: Interact
  - name: Search
  - name: Google
  - name: Fast Search
  - name: Jobs
  - name: YouTube
  - name: Amazon
  - name: Walmart
  - name: Booking
  - name: Agoda
  - name: Airbnb
  - name: AutoTrader
  - name: Glassdoor
  - name: Trustpilot
  - name: ZipRecruiter
  - name: Dice
  - name: SimplyHired
  - name: Built In
  - name: Wellfound
  - name: ChatGPT
  - name: Perplexity
  - name: Gemini
  - name: Bing
  - name: Reddit
  - name: Instagram
  - name: Twitter
  - name: Facebook
  - name: Hacker News
  - name: GitHub
  - name: TikTok
  - name: Apple App Store
  - name: Target
  - name: Monitors
paths:
  /v1/spotify/album:
    get:
      tags:
        - Spotify
      summary: Get a Spotify album
      description: >-
        Fetch a Spotify album's detail and tracklist by id or url. Backed by
        ScrapeCreators. Requires a Starter plan or higher.
      operationId: getSpotifyAlbum
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
            minLength: 1
        - name: url
          in: query
          required: false
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Structured Spotify album detail.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpotifyAlbumResponse'
        '400':
          description: Missing or invalid id/url.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Spotify endpoints require a Starter plan or higher.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: The requested album could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: >-
            Daily credit cap exceeded, or the upstream provider rate-limited the
            request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Spotify upstream failed or returned an unusable response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Spotify execution backend unavailable or unconfigured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: >-
            curl
            "https://api.scrapio.dev/v1/spotify/album?url=https://open.spotify.com/album/1weenld61qoidwYuZ1GESA"
            \
              -H "Authorization: Bearer $SCRAPIO_API_KEY"
components:
  schemas:
    SpotifyAlbumResponse:
      type: object
      properties:
        provider:
          type: string
          enum:
            - spotify
        request_id:
          type: string
        album:
          type: object
          properties:
            id:
              anyOf:
                - type: string
                - type: 'null'
            uri:
              anyOf:
                - type: string
                - type: 'null'
            name:
              anyOf:
                - type: string
                - type: 'null'
            type:
              anyOf:
                - type: string
                - type: 'null'
            release_date:
              anyOf:
                - type: string
                - type: 'null'
            label:
              anyOf:
                - type: string
                - type: 'null'
            artists:
              type: array
              items:
                type: object
                properties:
                  id:
                    anyOf:
                      - type: string
                      - type: 'null'
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  uri:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - name
                  - uri
                additionalProperties: false
            tracks:
              type: array
              items:
                type: object
                properties:
                  id:
                    anyOf:
                      - type: string
                      - type: 'null'
                  uri:
                    anyOf:
                      - type: string
                      - type: 'null'
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  duration_ms:
                    anyOf:
                      - type: number
                      - type: 'null'
                  playcount:
                    anyOf:
                      - type: number
                      - type: 'null'
                  track_number:
                    anyOf:
                      - type: number
                      - type: 'null'
                  explicit:
                    anyOf:
                      - type: boolean
                      - type: 'null'
                  artists:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          anyOf:
                            - type: string
                            - type: 'null'
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                        uri:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - name
                        - uri
                      additionalProperties: false
                  album:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: string
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          uri:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                          - uri
                        additionalProperties: false
                      - type: 'null'
                required:
                  - id
                  - uri
                  - name
                  - duration_ms
                  - playcount
                  - track_number
                  - explicit
                  - artists
                  - album
                additionalProperties: false
          required:
            - id
            - uri
            - name
            - type
            - release_date
            - label
            - artists
            - tracks
          additionalProperties: false
      required:
        - provider
        - request_id
        - album
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
        diagnostics:
          type: object
          properties:
            outcome:
              type: string
              enum:
                - failed
            retryable:
              type: boolean
            blocked:
              type: boolean
            timed_out:
              type: boolean
          required:
            - outcome
            - retryable
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````